OpenJPEG 2.3.1

Data Structures | Macros | Typedefs
event.h File Reference

Implementation of a event callback system. More...

Go to the source code of this file.

## Data Structures
struct | opj_event_mgr
| Message handler object used for. More...

## Macros
#define | EVT_ERROR 1
| Error event type. More...
#define | EVT_WARNING 2
| Warning event type. More...
#define | EVT_INFO 4
| Debug event type. More...

## Typedefs
typedef struct opj_event_mgr | opj_event_mgr_t
| Message handler object used for. More...

## Functions
Exported functions (see also openjpeg.h)
OPJ_BOOL | opj_event_msg (opj_event_mgr_t *event_mgr, OPJ_INT32 event_type, const char *fmt,...)
| Write formatted data to a string and send the string to a user callback. More...
void | opj_set_default_event_handler (opj_event_mgr_t *p_manager)
| Set the event manager with the default callback function for the 3 levels. More...

## Detailed Description

Implementation of a event callback system.

The functions in EVENT.C have for goal to send output messages (errors, warnings, debug) to the user.

## Macro Definition Documentation

## ◆ EVT_ERROR

#define EVT_ERROR 1

Error event type.

## ◆ EVT_INFO

#define EVT_INFO 4

Debug event type.

## ◆ EVT_WARNING

#define EVT_WARNING 2

Warning event type.

## Typedef Documentation

## ◆ opj_event_mgr_t

typedef struct opj_event_mgr opj_event_mgr_t

Message handler object used for.

- Error messages
- Warning messages
- Debugging messages